## org.eclipse.emf.common.ui
Class URIEditorInput.EclipseUtil

    java.lang.Object
      org.eclipse.emf.common.ui.URIEditorInput.EclipseUtil

Enclosing class:
  URIEditorInput

    protected static class URIEditorInput.EclipseUtil

extends java.lang.Object

Constructor Summary
`protected` `URIEditorInput.EclipseUtil()`

Method Summary
`static boolean` `exists(URI uri)`
`static java.lang.Object` `getAdatper(java.lang.Class<?> adapter, URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIEditorInput.EclipseUtil

    protected URIEditorInput.EclipseUtil()

Method Detail

### getAdatper

    public static java.lang.Object getAdatper(java.lang.Class<?> adapter,
                                              URI uri)

### exists

    public static boolean exists(URI uri)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.